{% extends 'includes/layout.njk' %}

{% block title %}{{ page.tag }}{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="/dist/styles/sites/index.css">
{% endblock %}


{% block main %}
    <div class="css-index-segment">
        <h1>Article(s) with Tag: <b>{{ page.tag }}</b></h1>
        <hr/>
    </div>

    {% for postcard in page.posts.toArray() %}
        <div class="css-index-segment">
            <div class="css-postcard">
            {% include '_partial/postcard.njk' %}
            </div>

            <div class="css-article">
               <div class="css-markdown css-excerpt">
                  {{ postcard.excerpt }}
               </div>

               <div class="css-readmore">
                  <a href="{{ url_for(postcard.permalink) }}">read more &raquo;</a>
               </div>
            </div>
         </div>
    {% endfor %}
{% endblock %}